Chuyển đến nội dung chính
GET
/
api
/
v1
/
x402
/
sessions
List x402 Sessions
curl --request GET \
  --url https://api.agentwallex.com/api/v1/x402/sessions \
  --header 'X-API-Key: <api-key>'
{
  "data": [
    {
      "id": "<string>",
      "agent_id": "<string>",
      "budget_limit": "<string>",
      "budget_spent": "<string>",
      "budget_remaining": "<string>",
      "chain": "<string>",
      "status": "active",
      "allowed_urls": [
        "<string>"
      ],
      "expires_at": "2023-11-07T05:31:56Z",
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "total": 123,
  "has_more": true
}

Ví dụ

curl -X GET https://api.agentwallex.com/api/v1/x402/sessions \
  -H "X-API-Key: awx_your_api_key"

Ủy quyền

X-API-Key
string
header
bắt buộc

API key authentication. Keys are prefixed with awx_.

Tham số truy vấn

page_num
integer
mặc định:1

Page number (1-indexed).

Phạm vi bắt buộc: x >= 1
page_size
integer
mặc định:20

Number of items per page.

Phạm vi bắt buộc: 1 <= x <= 100

Phản hồi

Paginated list of x402 sessions.

Standard paginated response wrapper.

data
object[]

Array of resource objects.

total
integer

Total number of items matching the query.

has_more
boolean

Whether more pages are available.